Subject: [Bier] FW: Questions regarding bier notification in bier.yang

From: "Kundu, Tanmoy (Nokia - US/Mountain View)" <[email-masked]>
Date: Wed, 28 Mar 2018 05:07:48 +0000

Hi,
While referring bier yang model, I could find that bier notification has sub-domain-id-collision. I could not find a scenario when or how to raise this notification. Can someone please elaborate?
https://tools.ietf.org/html/draft-ietf-bier-bier-yang-03

notification sub-domain-id-collision{
                leaf sub-domain-id{
                  type sub-domain-id;
                  description
                        "BIER sub domain ID";
        }
                leaf mt-id{
                  type uint16;
                  description
                        "Multi-topology ID";
        }
           description
                 "Sub domain ID received in the controlplane that caused Sub domain ID collision";
       }
     }

I also have couple of recommendation

  1.  shouldn't we also add BitStringLength Compatibility check notification when received BSL is different than provisioned BSL, as mentioned in section 6.10.1<https://tools.ietf.org/html/rfc8279#section-6.10.1>
  2.  Should we divide the BFR collision in two parts,
     *   when BFR ID is matches with self BFR ID
     *   when it's found that advertised BFR IDs of two routers are same.

Thanks,
Tanmoy